> For the complete documentation index, see [llms.txt](https://docs.kiloiot.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiloiot.io/kilo-docs-de/kilo-iot-server/api/grpc-api.md).

# gRPC-API

Kilo IoT Server gRPC-API — typisierter Service-zu-Service-Pfad für On-Premise-Installationen, mit derselben bereichsbezogenen API-Key-Authentifizierung.

Neben REST bietet der Kilo IoT Server eine gRPC-Schnittstelle an. **gRPC ist der fortgeschrittene / On-Premise-Pfad: Wählen Sie REST, sofern Sie gRPC nicht ausdrücklich für eine On-Premise- oder typisierte Service-zu-Service-Integration benötigen.** Für standardmäßige Cloud- und SaaS-Integrationen ist REST die empfohlene Standardoption (siehe [Öffentlichen REST-API](/kilo-docs-de/kilo-iot-server/api/public-rest-api.md)).

## Wann gRPC verwendet werden sollte

* Ein typisierter, generierter Client und ein stabiler Servicevertrag in Ihrer eigenen Software.
* Direkte Service-zu-Service-Integration, einschließlich On-Premise-Installationen, die interne Systeme innerhalb ihres eigenen Netzwerks verbinden.

## So funktioniert es

gRPC verwendet die gleiche bereichsbezogene API-Schlüssel-Authentifizierung wie REST — `X-API-Key` plus Organisationskontext (siehe [Authentifizierung & API-Schlüssel](/kilo-docs-de/kilo-iot-server/api/authentication-and-api-keys.md)). Die [API-Referenz](https://api.kiloiot.io/) listet die verfügbaren gRPC-Services und -Methoden auf. Für native gRPC-Client-Definitionen verwenden Sie die mit Ihrem On-Premise- oder Integrationspaket bereitgestellten Materialien.

## Siehe auch

* [Öffentlichen REST-API](/kilo-docs-de/kilo-iot-server/api/public-rest-api.md)
* [Authentifizierung & API-Schlüssel](/kilo-docs-de/kilo-iot-server/api/authentication-and-api-keys.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiloiot.io/kilo-docs-de/kilo-iot-server/api/grpc-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
